searchData={"content_type":"text/markdown","items":[{"doc":"VDF is a library for parsing Valve Data Format files.","ref":"VDF.html","title":"VDF","type":"module"},{"doc":"This module is responsible for parsing VDF files into Elixir maps. \n\nThe public API consists of two functions: `parse_string/1` and `parse_enum/1`. Both functions \nhave identical parsing logic and differ based on the input type. `parse_string/1` accepts a \nbinary string which will be split on new lines for parsing. `parse_enum/1` accepts an \nenumerable of strings which will be parsed line by line. The intent is to use `parse_enum/1` \nwhen parsing large files, alongside File.stream!/1, to avoid loading the entire file into memory.","ref":"VDF.Reader.html","title":"VDF.Reader","type":"module"},{"doc":"Parses an Enumerable of Strings representing a VDF into an Elixir map.\n\nThis function will treat each string as a new line in the VDF file. This function is intended\nto be used with File.stream!/1 to avoid loading the entire file into memory.","ref":"VDF.Reader.html#parse_enum/1","title":"VDF.Reader.parse_enum/1","type":"function"},{"doc":"Parses a VDF string into an Elixir map. \n\nThis function will split the input string on new lines and parse each line individually.","ref":"VDF.Reader.html#parse_string/1","title":"VDF.Reader.parse_string/1","type":"function"},{"doc":"","ref":"VDF.Reader.html#t:stack/0","title":"VDF.Reader.stack/0","type":"type"},{"doc":"","ref":"VDF.ReaderUtil.html","title":"VDF.ReaderUtil","type":"module"},{"doc":"","ref":"VDF.ReaderUtil.html#classify/1","title":"VDF.ReaderUtil.classify/1","type":"function"},{"doc":"","ref":"VDF.ReaderUtil.html#is_closing_brace?/1","title":"VDF.ReaderUtil.is_closing_brace?/1","type":"function"},{"doc":"","ref":"VDF.ReaderUtil.html#is_comment?/1","title":"VDF.ReaderUtil.is_comment?/1","type":"function"},{"doc":"","ref":"VDF.ReaderUtil.html#is_empty?/1","title":"VDF.ReaderUtil.is_empty?/1","type":"function"},{"doc":"","ref":"VDF.ReaderUtil.html#is_opening_brace?/1","title":"VDF.ReaderUtil.is_opening_brace?/1","type":"function"},{"doc":"","ref":"VDF.ReaderUtil.html#is_skippable?/1","title":"VDF.ReaderUtil.is_skippable?/1","type":"function"},{"doc":"","ref":"VDF.ReaderUtil.html#key/1","title":"VDF.ReaderUtil.key/1","type":"function"},{"doc":"","ref":"VDF.ReaderUtil.html#key_value/1","title":"VDF.ReaderUtil.key_value/1","type":"function"},{"doc":"","ref":"VDF.ReaderUtil.html#t:classification/0","title":"VDF.ReaderUtil.classification/0","type":"type"},{"doc":"","ref":"VDF.ParseError.html","title":"VDF.ParseError","type":"exception"},{"doc":"","ref":"VDF.ParseError.html#unexpected_eof/0","title":"VDF.ParseError.unexpected_eof/0","type":"function"},{"doc":"","ref":"VDF.ParseError.html#unexpected_line/2","title":"VDF.ParseError.unexpected_line/2","type":"function"},{"doc":"","ref":"VDF.ParseError.html#t:t/0","title":"VDF.ParseError.t/0","type":"type"}]}